# ob_get_length

(PHP 4 >= 4.0.2, PHP 5, PHP 7)

ob_get_length — Return the length of the output buffer

### Description

ob_get_length ( void ) : int

This will return the length of the contents in the output buffer, in bytes.

### Return Values

Returns the length of the output buffer contents, in bytes, or `FALSE` if no buffering is active.

### Examples

Example #1 A simple ob_get_length() example

`<?php
ob_start();
echo "Hello ";
$len1 = ob_get_length();
echo "World";
$len2 = ob_get_length();
ob_end_clean();
echo $len1 . ", " . $len2;
?>`

The above example will output:

    6, 11

### See Also

- ob_start() - Turn on output buffering
- ob_get_contents() - Return the contents of the output buffer